######### PERF_AGGI_MC #########

CREATE TABLE `PERF_AGGI_MC` (
  `ID_AGGIO_MC` bigint(22) NOT NULL AUTO_INCREMENT,
  `INIZIO_PERIODO_VALIDAZIONE` date NOT NULL,
  `FINE_PERIODO_VALIDAZIONE` date DEFAULT NULL,
  `SOGLIA` decimal(16,6) NOT NULL,
  `AGGIO_SOTTOSOGLIA` decimal(13,10) NOT NULL,
  `AGGIO_SOPRASOGLIA` decimal(13,10) NOT NULL,
  `VALORE_CAP` decimal(16,6) NOT NULL,
  `FLAG_CAP_MULTIPLO` char(1) NOT NULL,
  `DATA_CREAZIONE` datetime DEFAULT CURRENT_TIMESTAMP,
  `UTENTE_CREAZIONE` varchar(100) NOT NULL,
  `CODICE_REGOLA` varchar(20) NOT NULL,
  `TIPO_ULTIMA_MODIFICA` varchar(50) DEFAULT NULL,
  `UTENTE_ULTIMA_MODIFICA` varchar(40) DEFAULT NULL,
  `DATA_ULTIMA_MODIFICA` datetime DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP,
  `FLAG_ATTIVO` bit(1) NOT NULL DEFAULT b'1',
  PRIMARY KEY (`ID_AGGIO_MC`)
) ENGINE=InnoDB;
COMMIT;

################################################################



######### PERF_NDM_FILE #########

CREATE TABLE `MCMDB_prod`.`PERF_NDM_FILE` (
  `ID_NDM_FILE` bigint(20) NOT NULL AUTO_INCREMENT,
  `NOME_FILE` varchar(100) NOT NULL,
  `S3_PATH` varchar(1000) NOT NULL,
  `ULTIMA_LAVORAZIONE` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `NUMERO_LAVORAZIONI` int(11) DEFAULT NULL,
  `NUMERO_RECORD` bigint(20) DEFAULT NULL,
  `STATISTICHE` json DEFAULT NULL,
  PRIMARY KEY (`ID_NDM_FILE`),
  UNIQUE KEY `IDX_PERF_NDM_FILE_01` (`NOME_FILE`)
) ENGINE=InnoDB;
COMMIT;

################################################################



######### PERF_NDM_VOCE_FATTURA #########

CREATE TABLE `MCMDB_prod`.`PERF_NDM_VOCE_FATTURA` (
  `ID_NDM_VOCE_FATTURA` bigint(20) NOT NULL AUTO_INCREMENT,
  `ID_NDM_FILE` bigint(20) NOT NULL,
  `ANNO_FATTURA` int(11) NOT NULL,
  `MESE_FATTURA` int(11) NOT NULL,
  `DATA_FATTURA` datetime NOT NULL,
  `ANNO_CONTABILE_FATTURA` int(11) NOT NULL,
  `MESE_CONTABILE_FATTURA` int(11) NOT NULL,
  `DATA_CONTABILE_FATTURA` datetime NOT NULL,
  `ID_INCASSO` bigint(20) DEFAULT NULL,
  `ID_QUIETANZA` bigint(20) DEFAULT NULL,
  `NUMERO_REVERSALE` varchar(20) DEFAULT NULL,
  `NUMERO_FATTURA` varchar(20) DEFAULT NULL,
  `VOCE` varchar(20) DEFAULT NULL,
  `IMPORTO_ORIGINALE` decimal(30,15) DEFAULT NULL,
  `IMPORTO_AGGIO` decimal(30,15) DEFAULT NULL,
  `PERCENTUALE_AGGIO` decimal(30,15) DEFAULT NULL,
  PRIMARY KEY (`ID_NDM_VOCE_FATTURA`),
  UNIQUE KEY `IDX_PERF_NDM_VOCE_FATTURA_01` (`ID_NDM_VOCE_FATTURA`,`VOCE`),
  KEY `PERF_NDM_VOCE_FATTURA_IDX_01` (`NUMERO_FATTURA`),
  KEY `PERF_NDM_VOCE_FATTURA_IDX_02` (`VOCE`),
  KEY `PERF_NDM_VOCE_FATTURA_IDX_03` (`NUMERO_FATTURA`,`VOCE`)
) ENGINE=InnoDB;
COMMIT;

################################################################



######### PERF_NDM_VOCE_SCOMPOSTA #########

CREATE TABLE `MCMDB_prod`.`PERF_NDM_VOCE_SCOMPOSTA` (
  `ID_NDM_VOCE_SCOMPOSTA` bigint(20) NOT NULL AUTO_INCREMENT,
  `ID_NDM_FILE` bigint(20) NOT NULL,
  `ID_NDM_VOCE_FATTURA` bigint(20) NOT NULL,
  `SEQUENZA` int(11) NOT NULL,
  `TIPO_PENALE` varchar(20) DEFAULT NULL,
  `IMPORTO_ORIGINALE` decimal(30,15) DEFAULT NULL,
  `PERCENTUALE_RIPARTITA` decimal(30,15) DEFAULT NULL,
  `IMPORTO_RIPARTITO` decimal(30,15) DEFAULT NULL,
  `PERCENTUALE_AGGIO` decimal(30,15) DEFAULT NULL,
  `IMPORTO_AGGIO` decimal(30,15) DEFAULT NULL,
  PRIMARY KEY (`ID_NDM_VOCE_SCOMPOSTA`)
) ENGINE=InnoDB;
COMMIT;

################################################################



######### PERF_PROGRAMMA_MUSICALE_ID #########

CREATE TABLE `MCMDB_prod`.`PERF_PROGRAMMA_MUSICALE_ID` (
  `ID` bigint(20) NOT NULL
) ENGINE=InnoDB;
COMMIT;

################################################################



######### PERF_RECORDING_UTILIZZAZIONE_SCARTO #########

CREATE TABLE `MCMDB_prod`.PERF_RECORDING_UTILIZZAZIONE_SCARTO
(  ID_UTILIZZAZIONE_SCARTO    BIGINT          NOT NULL AUTO_INCREMENT,
   ID_RECORDING_FILE          BIGINT          NOT NULL,
   NUMERO_PROGRAMMA_MUSICALE  BIGINT          NOT NULL,
   CODICE_OPERA               VARCHAR(20),
   TITOLO_COMPOSIZIONE        VARCHAR(200),
   COMPOSITORE                VARCHAR(500),
   AUTORI                     VARCHAR(200),
   INTERPRETI                 VARCHAR(500),
   DURATA                     BIGINT,
   DURATA_INFERIORE_30SEC     VARCHAR(1),
   PRIMARY KEY (ID_UTILIZZAZIONE_SCARTO)
) ENGINE=InnoDB;
COMMIT;

################################################################
